<?php

namespace Server\payment\api;

use Server\payment\PaymentService;

class NotifyController extends PaymentService {

    public function alipay(){
        global $_GPC, $_W;
        $_W['isapi'] = true;
        $_W['isajax'] = true;
        try {
            $result = $this->Notify('alipay', $_GPC);
            if (is_error($result)){
                return $this->error($result['message']);
            }
        }catch (Exception $exception){
            return $this->error($exception->getMessage());
        }
        return "success";
    }

}
